JUCE: FileBrowserComponent::LookAndFeelMethods Struct Reference

JUCE

Public Member Functions | List of all members
FileBrowserComponent::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » filebrowser

This abstract base class is implemented by LookAndFeel classes to provide various file-browser layout and drawing methods. More...

`#include <juce_FileBrowserComponent.h>`

Inheritance diagram for FileBrowserComponent::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual const Drawable * | getDefaultFolderImage ()=0
virtual const Drawable * | getDefaultDocumentFileImage ()=0
virtual AttributedString | createFileChooserHeaderText (const String &title, const String &instructions)=0
virtual void | drawFileBrowserRow (Graphics &, int width, int height, const File &file, const String &filename, Image *optionalIcon, const String &fileSizeDescription, const String &fileTimeDescription, bool isDirectory, bool isItemSelected, int itemIndex, DirectoryContentsDisplayComponent &)=0
virtual Button * | createFileBrowserGoUpButton ()=0
virtual void | layoutFileBrowserComponent (FileBrowserComponent &browserComp, DirectoryContentsDisplayComponent *fileListComponent, FilePreviewComponent *previewComp, ComboBox *currentPathBox, TextEditor *filenameBox, Button *goUpButton)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide various file-browser layout and drawing methods.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual FileBrowserComponent::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ getDefaultFolderImage()

virtual const Drawable * FileBrowserComponent::LookAndFeelMethods::getDefaultFolderImage | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getDefaultDocumentFileImage()

virtual const Drawable * FileBrowserComponent::LookAndFeelMethods::getDefaultDocumentFileImage | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ createFileChooserHeaderText()

virtual AttributedString FileBrowserComponent::LookAndFeelMethods::createFileChooserHeaderText | ( | const String & | title,
|  | const String & | instructions
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ drawFileBrowserRow()

virtual void FileBrowserComponent::LookAndFeelMethods::drawFileBrowserRow | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | const File & | file,
|  | const String & | filename,
|  | Image * | optionalIcon,
|  | const String & | fileSizeDescription,
|  | const String & | fileTimeDescription,
|  | bool | isDirectory,
|  | bool | isItemSelected,
|  | int | itemIndex,
|  | DirectoryContentsDisplayComponent & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ createFileBrowserGoUpButton()

virtual Button * FileBrowserComponent::LookAndFeelMethods::createFileBrowserGoUpButton | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ layoutFileBrowserComponent()

virtual void FileBrowserComponent::LookAndFeelMethods::layoutFileBrowserComponent | ( | FileBrowserComponent & | browserComp,
|  | DirectoryContentsDisplayComponent * | fileListComponent,
|  | FilePreviewComponent * | previewComp,
|  | ComboBox * | currentPathBox,
|  | TextEditor * | filenameBox,
|  | Button * | goUpButton
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

The documentation for this struct was generated from the following file:

- juce_FileBrowserComponent.h